Name:           qFreeFax
Version:        0.1
Release:        1%{?dist}
Summary:        GUI for fax fonctionality provided by French ISP Free

Group:          Applications/Internet
License:        GPL	
URL:            http://qfreefax.sourceforge.net/
Source0:        http://download.sourceforge.net/%{name}/%{name}-src-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt4-devel
BuildRequires:  desktop-file-utils
    

%description
qFreeFax is a GUI for fax fonctionality provided by French ISP Free


%prep
%setup -q


%build
export QTDIR=%{_libdir}/qt4
qmake-qt4 qFreeFax.pro
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/images/winux
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -pm 0755 qFreeFax $RPM_BUILD_ROOT%{_bindir}
install -pm 0644 images/winux/*.png $RPM_BUILD_ROOT%{_datadir}/%{name}/images/winux
install -pm 0644 images/*.png $RPM_BUILD_ROOT%{_datadir}/%{name}/images
ln -fs ../%{name}/images/mail_b_256.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

cat > %{name}.desktop <<EOF
[Desktop Entry]
Name=%{name}
Comment=%{name}
Icon=%{name}.png
Exec=%{name}
Terminal=false
Type=Application
Encoding=UTF-8
Version=%{version}
Categories=Application;Network;
EOF

desktop-file-install --vendor=""                 \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications  \
  %{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc
%{_bindir}/qFreeFax
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sun May 19 2007 kwizart < kwizart at gmail.com > - 0.1-1
- Intial Release
